Loading...
Searching...
No Matches
etl::delegate< TReturn(TArgs...)>::invocation_element::ptr_type Union Reference

Storage holding either an object pointer or a function pointer. More...

`#include <delegate_cpp11.h>`

## Public Member Functions

ETL_CONSTEXPR14 | ptr_type () ETL_NOEXCEPT
| Default-constructs with a null object pointer as the active member.
ETL_CONSTEXPR14 | ptr_type (object_ptr object_) ETL_NOEXCEPT
| Constructs with the object pointer as the active member.
ETL_CONSTEXPR14 | ptr_type (function_ptr fp_) ETL_NOEXCEPT
| Constructs with the function pointer as the active member.

## Public Attributes

object_ptr | object
function_ptr | fp

## Detailed Description

template<typename TReturn, typename... TArgs>
union etl::delegate< TReturn(TArgs...)>::invocation_element::ptr_type

Storage holding either an object pointer or a function pointer.

The documentation for this union was generated from the following file:

- include/etl/private/delegate_cpp11.h